> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Export revenue recognition waterfall

> Queue an XLSX waterfall export for a ledger and year.



## OpenAPI

````yaml post /v1/accounting/revrec/waterfall/export
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/accounting/revrec/waterfall/export:
    post:
      tags:
        - Accounting > Revenue recognition
      summary: Export revenue recognition waterfall
      description: Queue an XLSX waterfall export for a ledger and year.
      operationId: createRevRecWaterfallExport
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ledger_id:
                  type: string
                  description: Ledger identifier.
                year:
                  type: integer
                  minimum: 2000
                  maximum: 2100
                  description: Booked calendar year included in the export.
              required:
                - ledger_id
                - year
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingExport'
      security:
        - bearer: []
components:
  schemas:
    AccountingExport:
      type: object
      properties:
        id:
          type: string
          description: Unique export identifier.
        name:
          type: string
          enum:
            - revenue_recognition_waterfall
            - revenue_recognition_summary
            - income_statement
            - general_ledger
          description: Accounting export template.
        status:
          type: string
          enum:
            - pending
            - processing
            - done
            - error
          description: Current export processing status.
        file_type:
          type: string
          enum:
            - csv
            - xlsx
            - json
            - zip
            - pdf
            - doc
            - docx
            - xls
            - txt
            - jpeg
            - jpg
            - png
          description: Generated file type.
        created_at:
          type:
            - string
            - 'null'
          format: date
          description: Time at which the export was requested.
        updated_at:
          type:
            - string
            - 'null'
          format: date
          description: Time at which the export was last updated.
      required:
        - id
        - name
        - status
        - file_type
        - created_at
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````